/* home
======================================== */

.l-home-layout {
  margin-top: var(--space-md);
}
.l-home-layout[data-layout] .l-home-layout__inner {
  --page-max-width-base: var(--layput-page-max-width);
  --page-max-width-context: initial;
  --layout-columns: 1fr;
  display: grid;
  grid-template-columns: var(--layout-columns);
  gap: var(--space-md);
  max-width: var(--page-max-width-context, var(--page-max-width-base));
  margin-inline: auto;
  padding-inline: var(--space-md);
}
.l-home-layout[data-layout="sidebar"] .l-home-layout__inner {
  --layout-columns: 300px 1fr;
}
@media (max-width: 767px) {
  .l-home-layout[data-layout] .l-home-layout__inner {
    --layout-columns: 1fr;
  }
  .l-home-layout[data-layout] .l-page-layout__content-container {
    padding-inline: 0;
  }
}
.l-home-layout[data-layout="sidebar"] .l-home-layout__content-inner {
  padding-right: var(--space-max);
}
.l-home-layout[data-layout="one-column"] .l-home-layout__content-inner {
  padding-inline: var(--space-max);
}

@media (max-width: 1024px) {
  .l-home-layout {
    margin-top: 0;
  }
  .l-home-layout[data-layout] .l-home-layout__inner {
    --layout-columns: auto;
    padding-inline: 0;
  }
  .l-home-layout[data-layout] .l-home-layout__inner .grid {
    --grid-gap-context: 0;
  }
  .home .l-page-layout__sidebar {
    display: none;
  }
}
@media (max-width: 767px) {
  .l-home-layout[data-layout] .l-home-layout__inner .grid {
    grid-template-rows: repeat(2, auto);
    grid-template-columns: 1fr;
  }
}

/* page
======================================== */

.l-page {
  --page-padding-block-base: var(--layout-page-padding-block);

  --page-padding-block-context: initial;

  margin-inline: auto;
  padding-block: var(--page-padding-block-context, var(--page-padding-block-base));
}
.l-page-layout {
  margin-top: var(--space-lg);
}
.l-page-layout[data-layout="sidebar"] {
  max-width: var(--width-max);
  margin-inline: auto;
  padding-inline: var(--space-md);
}
@media (max-width: 767px) {
  .l-page-layout {
    margin-top: var(--space-md);
  }
  .l-page-layout[data-layout="sidebar"] {
    padding-inline: var(--space-2xs);
  }
}
.l-page-layout[data-layout] .l-page-layout__inner {
  --layout-columns: 1fr;
  display: grid;
  grid-template-columns: var(--layout-columns);
  gap: var(--space-md);
}
@media (max-width: 1024px) {
  .l-page-layout__sidebar {
    display: none;
  }
}
.l-page-layout[data-layout="sidebar"] .l-page-layout__inner {
  --layout-columns: 300px 1fr;
}
@media (max-width: 1024px) {
  .l-page-layout[data-layout="sidebar"] .l-page-layout__inner {
    --layout-columns: 100%;
  }
}
@media (min-width: 1025px) {
  .l-page-layout[data-layout="sidebar"] .l-page-layout__content-inner {
    padding-right: var(--space-max);
  }
}
.l-page-layout__content-container {
  max-width: var(--width-max);
  margin-inline: auto;
  padding-inline: var(--space-max);
}
@media (max-width: 1024px) {
  .l-page-layout__content-container {
    padding-inline: var(--space-2xs);
  }
}
.l-page-layout__content-form {
  margin-top: var(--space-2xl);
  background: var(--color-bg-blank);
}
@media (max-width: 767px) {
  .l-page-layout__content-form {
    margin-top: var(--space-md);
  }
}

/* section
======================================== */

.section {
  --section-padding-block-base: var(--layout-section-padding-block);
  --section-bg-base: var(--layout-section-bg);

  --section-bg-context: initial;
  --section-padding-block-context: initial;

  padding-block: var(--section-padding-block-context,var(--layout-section-padding-block));
  background-color: var(--section-bg-context, var(--section-bg-base));
}

/* container
======================================== */

.container {
  max-inline-size: var(--layout-container-max-width);
  margin-inline: auto;
}

/* stack
======================================== */

.stack {
  --stack-gap-base: var(--layout-stack-gap);
  --stack-gap-context: initial;

  display: flex;
  flex-direction: column;
  gap: var(--stack-gap-context, var(--stack-gap-base));
}

/* cluster
======================================== */

.cluster {
  --cluster-gap-base: var(--layout-cluster-gap);
  --cluster-gap-context: initial;

  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: var(--cluster-gap-context, var(--cluster-gap-base));
}
.cluster[data-align="center"] {
  justify-content: center;
}
.cluster[data-align="right"] {
  justify-content: flex-end;
}

/* grid
======================================== */

.grid {
  --grid-gap-base: var(--layout-grid-gap);
  --grid-gap-context: initial;
  --grid-col-fraction-base: minmax(0, 1fr);

  display: grid;
  gap: var(--grid-gap-context, var(--grid-gap-base));
}
.grid[data-cols="2"] {
  grid-template-columns: repeat(2, var(--grid-col-fraction-context, var(--grid-col-fraction-base)));
}
.grid[data-cols="3"] {
  grid-template-columns: repeat(3, var(--grid-col-fraction-context, var(--grid-col-fraction-base)));
}
.grid[data-cols="4"] {
  grid-template-columns: repeat(4, var(--grid-col-fraction-context, var(--grid-col-fraction-base)));
}
.grid[data-layout="auto"] {
  grid-template-columns: repeat(
    auto-fit,
    minmax(var(--grid-min-width), 1fr)
  );
}

/* align
======================================== */

[data-align="center"] {
  --text-align: center;
}
[data-align="right"] {
  --text-align: end;
}